linux: 3.5.0-37.58 -proposed tracker

Bug #1199149 reported by Brad Figg on 2013-07-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-37.58 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 08. July 2013 21:08 UTC
kernel-stable-Prepare-package-end:Tuesday, 09. July 2013 09:09 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 09. July 2013 09:09 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 09. July 2013 11:00 UTC
kernel-stable-Verification-testing-start:Tuesday, 09. July 2013 12:01 UTC
kernel-stable-Verification-testing-end:Wednesday, 17. July 2013 18:01 UTC
kernel-stable-Certification-testing-start:Wednesday, 17. July 2013 18:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 17. July 2013 18:01 UTC
kernel-stable-Regression-testing-start:Wednesday, 17. July 2013 18:01 UTC
kernel-stable-Security-signoff-end:Thursday, 18. July 2013 04:01 UTC
kernel-stable-Regression-testing-end:Saturday, 20. July 2013 10:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 25. July 2013 16:00 UTC
kernel-stable-Certification-testing-end:Thursday, 25. July 2013 16:00 UTC
kernel-stable-Promote-to-updates-end:Monday, 29. July 2013 12:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 29. July 2013 14:10 UTC

CVE References

Brad Figg (brad-figg) on 2013-07-08
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1199276
linux-lowlatency - bug 1199280

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1199285

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-armadaxp

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-07-09
description: updated
Brad Figg (brad-figg) on 2013-07-09
description: updated
Brad Figg (brad-figg) on 2013-07-17
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-07-18
description: updated

Hardware Certification have begun testing this -proposed kernel.

Para Siva (psivaa) on 2013-07-20
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-07-20
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed. The report is available at: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-37.58/quantal-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-07-25
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.1 KiB)

This bug was fixed in the package linux - 3.5.0-37.58

---------------
linux (3.5.0-37.58) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199149

  [ Brad Figg ]

  * [Config] CONFIG_ATH9K_LEGACY_RATE_CONTROL=y

  [ Tim Gardner ]

  * [Config] CONFIG_SUNRPC_DEBUG=y
    - LP: #1127319

  [ Upstream Kernel Changes ]

  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * Revert "ath9k_hw: Update rx gain initval to improve rx sensitivity"
    - LP: #1197458
  * ata_piix: add PCI IDs for Intel BayTail
    - LP: #1197458
  * libata: make ata_exec_internal_sg honor DMADIR
    - LP: #1197458
  * cfg80211: check wdev->netdev in connection work
    - LP: #1197458
  * xhci-mem: init list heads at the beginning of init
    - LP: #1197458
  * xhci: fix list access before init
    - LP: #1197458
  * xhci - correct comp_mode_recovery_timer on return from hibernate
    - LP: #1197458
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1197458
  * usb: dwc3: gadget: free trb pool only from epnum 2
    - LP: #1197458
  * USB: revert periodic scheduling bugfix
    - LP: #1197458
  * USB: serial: fix Treo/Kyocera interrrupt-in urb context
    - LP: #1197458
  * USB: visor: fix initialisation of Treo/Kyocera devices
    - LP: #1197458
  * USB: mos7720: fix DMA to stack
    - LP: #1197458
  * USB: mos7840: fix DMA to stack
    - LP: #1197458
  * USB: ark3116: fix control-message timeout
    - LP: #1197458
  * USB: iuu_phoenix: fix bulk-message timeout
    - LP: #1197458
  * USB: mos7720: fix message timeouts
    - LP: #1197458
  * regulator: palmas: Fix "enable_reg" to point to the correct reg for
    SMPS10
    - LP: #1197458
  * m68k/mac: Fix unexpected interrupt with CONFIG_EARLY_PRINTK
    - LP: #1197458
  * USB: Serial: cypress_M8: Enable FRWD Dongle hidcom device
    - LP: #1197458
  * USB: serial: Add Option GTM681W to qcserial device table.
    - LP: #1197458
  * USB: keyspan: fix bogus array index
    - LP: #1197458
  * USB: mos7720: fix hardware flow control
    - LP: #1197458
  * USB: whiteheat: fix broken port configuration
    - LP: #1197458
  * USB: option: blacklist network interface on Huawei E1820
    - LP: #1197458
  * iommu/amd: Re-enable IOMMU event log interrupt after handling.
    - LP: #1197458
  * iommu/amd: Workaround for ERBT1312
    - LP: #1197458
  * xen/events: Handle VIRQ_TIMER before any other hardirq in event loop.
    - LP: #1197458
  * thinkpad-acpi: recognize latest V-Series using DMI_BIOS_VENDOR
    - LP: #1197458
  * klist: del waiter from klist_remove_waiters before wakeup waitting
    process
    - LP: #1197458
  * ACPI video: ignore BIOS backlight value for HP dm4
    - LP: #1197458
  * ACPI video: ignore BIOS initial backlight value for HP 1000
    - LP: #1197458
  * dmaengine: ste_dma40: fix pm runtime ref counting
    - LP: #1197458
  * ACPI / video: ignore BIOS initial backlight value for HP m4
    - LP: #1197458
  * ACPI / video: ignore BIOS initial backlight value for HP Pavilion g6
    - LP: #1197458
  * ALSA: usb-audio: fix Roland/Cakewalk UM-3G support
    - LP: #1197458
  * drm: fix ...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-07-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers